package es.uv.garcosda.dbcds_s14_2.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import es.uv.garcosda.dbcds_s14_2.domain.Book;
import es.uv.garcosda.dbcds_s14_2.service.BookService;

@RestController
public class BookController {

    @Autowired
    private BookService bookService;

    @GetMapping("/book")
    public List<Book> getBooks(){
        return bookService.findAll();
    }

    @GetMapping("/book/{id}")
    public Book getBook(@PathVariable Integer id){
        return bookService.getBook(id);
    }

    @PostMapping("/book")
    public Book addBook(@RequestBody Book book){
        return bookService.addBook(book);
    }

    @PutMapping("/book")
    public Book updateBook(@RequestBody Book book) {
        return bookService.updateBook(book);
    }

    @DeleteMapping("/book/{id}")
    public String deleteBook(@PathVariable Integer id){
        return bookService.deleteBook(id);
    }
}
